/*
*  Rubrica
*  file: callbacks.h
*  
*  Copyright (C) 2000-2001 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include <gnome.h>


#ifndef _RUBRICA_CALLBACK_H
#define _RUBRICA_CALLBACK_H


/*  CALLBACK RELATIVE AI MENU
*/
void
on_new_file1_activate(GtkMenuItem *menuitem, gpointer user_data);

void
on_open1_activate(GtkMenuItem *menuitem, gpointer user_data);

void
on_save1_activate(GtkMenuItem *menuitem, gpointer user_data);

void
on_save_as1_activate(GtkMenuItem *menuitem, gpointer user_data);

void	
on_close1_activate (GtkMenuItem *menuitem, gpointer user_data);

void 
on_import_activate(GtkMenuItem *menuitem, gpointer user_data);

void 
on_export_activate(GtkMenuItem *menuitem, gpointer user_data);

void 
on_preview_activate(GtkMenuItem *menuitem, gpointer user_data);

void
on_exit1_activate(GtkMenuItem *menuitem, gpointer user_data);

void 
on_undo_activate(GtkMenuItem *menuitem, gpointer user_data);

void
on_redo_activate(GtkMenuItem *menuitem, gpointer user_data);

void
on_cut1_activate(GtkMenuItem *menuitem, gpointer user_data);

void
on_copy1_activate(GtkMenuItem *menuitem, gpointer user_data);

void
on_paste1_activate(GtkMenuItem *menuitem, gpointer user_data);

void
on_alfabetica1_activate(GtkMenuItem *menuitem, gpointer user_data);

void
on_creation_date_activate(GtkMenuItem *menuitem, gpointer user_data);

void
on_modification_date_activate(GtkMenuItem *menuitem, gpointer user_data);

void
on_crescente1_activate(GtkMenuItem *menuitem, gpointer user_data);

void
on_decrescente1_activate(GtkMenuItem *menuitem, gpointer user_data);

void
on_preferences1_activate(GtkMenuItem *menuitem, gpointer user_data);

void
on_about1_activate(GtkMenuItem *menuitem, gpointer user_data);

void
on_calabria1_activate(GtkMenuItem *menuitem, gpointer user_data);

void
on_dedicato_a1_activate(GtkMenuItem *menuitem,	 gpointer user_data);

void
on_localization_activate  (GtkMenuItem *menuitem, gpointer user_data);

void
on_bug_activate (GtkMenuItem *menuitem, gpointer user_data);

void
on_developing1_activate (GtkMenuItem *menuitem, gpointer user_data);

void
on_unfinished_activate(GtkMenuItem *menuitem, gpointer user_data);

void
on_home_page_activate(GtkMenuItem *menuitem, gpointer user_data);

void
on_email_me_activate (GtkMenuItem *menuitem, gpointer user_data);

void
on_pop_cut_activate(GtkMenuItem *menuitem, GdkEventButton *event, gpointer user_data);

void
on_pop_paste_activate(GtkMenuItem *menuitem, GdkEventButton *event,
		      gpointer user_data);

void
on_pop_copy_activate(GtkMenuItem *menuitem, GdkEventButton *event, gpointer user_data);

void
on_pop_modifica_activate(GtkMenuItem *menuitem, gpointer user_data);



/* CALLBACK RELATIVE ALLA TOOLBAR
*/
void
on_bNuovo_clicked(GtkButton *button, gpointer user_data);

void
on_bApri_clicked(GtkButton *button, gpointer user_data);

void
on_bSalva_clicked(GtkButton *button, gpointer user_data);

void
on_bClose_clicked(GtkButton *button, gpointer user_data);

void
on_bAggiungi_clicked(GtkButton *button, gpointer user_data);

void
on_bElimina_clicked(GtkButton *button, gpointer user_data);

void
on_bModifica_clicked(GtkButton *button, gpointer user_data);

void
on_bPrima_clicked(GtkButton *button, gpointer user_data);

void
on_bUltima_clicked(GtkButton *button, gpointer user_data);

void
on_bCerca_clicked(GtkButton *button, gpointer user_data);

void
on_exit_clicked(GtkButton *button, gpointer user_data);

/* CALLBACK RELATIVE AI BOTTONI
*/
void
on_bPrecedente_clicked(GtkButton *button, gpointer user_data);

void
on_bSuccessivo_clicked(GtkButton *button, gpointer user_data);

/* CALLBACK RELATIVE ALLE CLIST
*/
void
on_schede_clist_select_row(GtkCList *clist, gint row, gint column, 
			   GdkEventButton *event, gpointer user_data);
void
on_schede_clist_button_press(GtkCList *clist, GdkEventButton *event, gpointer user_data);

void
on_dati_clist_select_row(GtkCList *clist, gint row, gint column, 
			 GdkEventButton *event, gpointer user_data);

void exit_rubrica(void);

void
on_schede_clist_button_click(GtkCList *clist, GdkEventButton *event, 
			     gpointer user_data);

void on_dati_clist_button_click(GtkCList *clist, GdkEventButton *event,
				gpointer user_data);

void on_clicked_column_cb(GtkCList *clist, gint column, gpointer user_data);


void on_switch_pages_cb(GtkNotebook *notebook, GtkNotebookPage *page, 
			gint page_num, gpointer user_data); 

#endif


