/*
*  Rubrica
*  file: import.h
*  
*  Copyright (C) 2000-2001 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _IMPORT_H
#define _IMPORT_H

#include "rubrica.h"

typedef enum {
  CSV = 0,
  GCARD,
  KCARD,
  RUBRICA
} ImportFrom;

void rubrica_import_init_item(RubricaItem *r);

void rubrica_import_data(void);
void rubrica_export_data(void);

void rubrica_import_open_file(gchar *file);
gint rubrica_import_open_old_rubrica_file(gchar *fname);

void rubrica_import_from_init(void);
void rubrica_import_from_set(ImportFrom imp);
ImportFrom rubrica_import_from_get(void);

#endif
