/*
 * NON MODIFICARE QUESTO FILE - generato automaticamente da Glade.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>

#include <gnome.h>

#include "import_cb.h"
#include "import_int.h"
#include "import.h"
#include "support.h"

GtkWidget *fileentry;

GSList *import_grp_group = NULL;
GtkWidget *radio_gnome;
GtkWidget *radio_kde;
GtkWidget *radio_csv;
GtkWidget *radio_rubrica;



GtkWidget*
create_import_dialog (void)
{
  GtkWidget *import_dialog;
  GtkWidget *dialog_vbox1;
  GtkWidget *frame2;
  GtkWidget *vbox1;
  GtkWidget *label5;
  GtkWidget *table2;

  GtkWidget *frame3;
  GtkWidget *entry1;
  GtkWidget *dialog_action_area2;

  GtkWidget *import_ok;
  GtkWidget *import_cancel;

  gchar *buffer;

  buffer = g_get_home_dir();

  import_dialog = gnome_dialog_new (_("Rubrica import"), NULL);
  gtk_widget_set_name (import_dialog, "import_dialog");
  gtk_object_set_data (GTK_OBJECT (import_dialog), "import_dialog", import_dialog);
  gtk_container_set_border_width (GTK_CONTAINER (import_dialog), 5);
  gtk_window_set_position (GTK_WINDOW (import_dialog), GTK_WIN_POS_CENTER);
  gtk_window_set_modal (GTK_WINDOW (import_dialog), TRUE);
  gtk_window_set_policy (GTK_WINDOW (import_dialog), FALSE, FALSE, FALSE);

  dialog_vbox1 = GNOME_DIALOG (import_dialog)->vbox;
  gtk_widget_set_name (dialog_vbox1, "dialog_vbox1");
  gtk_object_set_data (GTK_OBJECT (import_dialog), "dialog_vbox1", dialog_vbox1);
  gtk_widget_show (dialog_vbox1);

  frame2 = gtk_frame_new (_(" Rubrica Import file "));
  gtk_widget_set_name (frame2, "frame2");
  gtk_widget_ref (frame2);
  gtk_object_set_data_full (GTK_OBJECT (import_dialog), "frame2", frame2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (frame2);
  gtk_box_pack_start (GTK_BOX (dialog_vbox1), frame2, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame2), 5);

  vbox1 = gtk_vbox_new (FALSE, 0);
  gtk_widget_set_name (vbox1, "vbox1");
  gtk_widget_ref (vbox1);
  gtk_object_set_data_full (GTK_OBJECT (import_dialog), "vbox1", vbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox1);
  gtk_container_add (GTK_CONTAINER (frame2), vbox1);

  label5 = gtk_label_new (_("Import address book from: "));
  gtk_widget_set_name (label5, "label5");
  gtk_widget_ref (label5);
  gtk_object_set_data_full (GTK_OBJECT (import_dialog), "label5", label5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label5);
  gtk_box_pack_start (GTK_BOX (vbox1), label5, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (label5), GTK_JUSTIFY_LEFT);
  gtk_label_set_line_wrap (GTK_LABEL (label5), TRUE);
  gtk_misc_set_alignment (GTK_MISC (label5), 0.05, 0.5);

  /*      Table
   */
  table2 = gtk_table_new (4, 2, TRUE);
  gtk_widget_set_name (table2, "table2");
  gtk_widget_ref (table2);
  gtk_object_set_data_full (GTK_OBJECT (import_dialog), "table2", table2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (table2);
  gtk_box_pack_start (GTK_BOX (vbox1), table2, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (table2), 5);
  gtk_table_set_row_spacings (GTK_TABLE (table2), 3);
  gtk_table_set_col_spacings (GTK_TABLE (table2), 5);

  /*    radio button: import -- GnomeCard
  */
  radio_gnome = gtk_radio_button_new_with_label (import_grp_group, _("GnomeCard"));
  import_grp_group = gtk_radio_button_group (GTK_RADIO_BUTTON (radio_gnome));
  gtk_widget_set_name (radio_gnome, "radio_gnome");
  gtk_widget_ref (radio_gnome);
  gtk_object_set_data_full (GTK_OBJECT (import_dialog), "radio_gnome", radio_gnome,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (radio_gnome);
  gtk_table_attach (GTK_TABLE (table2), radio_gnome, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND), 0, 0);
  gtk_container_set_border_width (GTK_CONTAINER (radio_gnome), 2);
  gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (radio_gnome), TRUE); 

  /*    radio button: import -- Kde addressbook    
   */
  radio_kde = gtk_radio_button_new_with_label (import_grp_group, _("Kde address book"));
  import_grp_group = gtk_radio_button_group (GTK_RADIO_BUTTON (radio_kde));
  gtk_widget_set_name (radio_kde, "radio_kde");
  gtk_widget_ref (radio_kde);
  gtk_object_set_data_full (GTK_OBJECT (import_dialog), "radio_kde", radio_kde,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (radio_kde);
  gtk_table_attach (GTK_TABLE (table2), radio_kde, 0, 1, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_container_set_border_width (GTK_CONTAINER (radio_kde), 2);
  /* import from kde: todo. Not available*/
  gtk_widget_set_sensitive(GTK_WIDGET(radio_kde), FALSE);

  /*    radio button: import -- rubrica addressbook (ver < 0.5)
   */  
 radio_rubrica = gtk_radio_button_new_with_label (import_grp_group, _("Rubrica (ver. < 0.5)"));
  import_grp_group = gtk_radio_button_group (GTK_RADIO_BUTTON (radio_rubrica));
  gtk_widget_set_name (radio_rubrica, "radio_rubrica");
  gtk_widget_ref (radio_rubrica);
  gtk_object_set_data_full (GTK_OBJECT (import_dialog), "radio_rubrica", radio_rubrica,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (radio_rubrica);
  gtk_table_attach (GTK_TABLE (table2), radio_rubrica, 0, 1, 3, 4,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_container_set_border_width (GTK_CONTAINER (radio_rubrica), 2);

  /*    radio button: import -- Netscape cvs file
   */  
  radio_csv = gtk_radio_button_new_with_label (import_grp_group, _("Netscape (csv file)"));
  import_grp_group = gtk_radio_button_group (GTK_RADIO_BUTTON (radio_csv));
  gtk_widget_set_name (radio_csv, "radio_csv");
  gtk_widget_ref (radio_csv);
  gtk_object_set_data_full (GTK_OBJECT (import_dialog), "radio_csv", radio_csv,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (radio_csv);
  gtk_table_attach (GTK_TABLE (table2), radio_csv, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_container_set_border_width (GTK_CONTAINER (radio_csv), 2);
/*  gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (radio_csv), TRUE); */
  /* import from kde: todo. Not available*/
  gtk_widget_set_sensitive(GTK_WIDGET(radio_csv), FALSE);

  frame3 = gtk_frame_new (_(" Import file "));
  gtk_widget_set_name (frame3, "frame3");
  gtk_widget_ref (frame3);
  gtk_object_set_data_full (GTK_OBJECT (import_dialog), "frame3", frame3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (frame3);
  gtk_box_pack_start (GTK_BOX (vbox1), frame3, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame3), 5);

  fileentry = gnome_file_entry_new (NULL, _("Import file"));
  gtk_widget_set_name (fileentry, "fileentry");
  gtk_widget_ref (fileentry);
  gtk_object_set_data_full (GTK_OBJECT (import_dialog), "fileentry", fileentry,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (fileentry);
  gtk_container_add (GTK_CONTAINER (frame3), fileentry);
  gtk_container_set_border_width (GTK_CONTAINER (fileentry), 5);
  gnome_file_entry_set_directory (GNOME_FILE_ENTRY (fileentry), FALSE);
  gnome_file_entry_set_default_path(GNOME_FILE_ENTRY (fileentry), buffer);
  gnome_file_entry_set_modal (GNOME_FILE_ENTRY (fileentry), TRUE);

  entry1 = gnome_file_entry_gtk_entry (GNOME_FILE_ENTRY (fileentry));
  gtk_widget_set_name (entry1, "entry1");
  gtk_widget_ref (entry1);
  gtk_object_set_data_full (GTK_OBJECT (import_dialog), "entry1", entry1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (entry1);

  dialog_action_area2 = GNOME_DIALOG (import_dialog)->action_area;
  gtk_widget_set_name (dialog_action_area2, "dialog_action_area2");
  gtk_object_set_data (GTK_OBJECT (import_dialog), "dialog_action_area2", dialog_action_area2);
  gtk_widget_show (dialog_action_area2);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (dialog_action_area2), GTK_BUTTONBOX_END);
  gtk_button_box_set_spacing (GTK_BUTTON_BOX (dialog_action_area2), 8);

  gnome_dialog_append_button (GNOME_DIALOG (import_dialog), GNOME_STOCK_BUTTON_OK);
  import_ok = g_list_last (GNOME_DIALOG (import_dialog)->buttons)->data;
  gtk_widget_set_name (import_ok, "import_ok");
  gtk_widget_ref (import_ok);
  gtk_object_set_data_full (GTK_OBJECT (import_dialog), "import_ok", import_ok,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (import_ok);
  GTK_WIDGET_SET_FLAGS (import_ok, GTK_CAN_DEFAULT);

  gnome_dialog_append_button (GNOME_DIALOG (import_dialog), GNOME_STOCK_BUTTON_CANCEL);
  import_cancel = g_list_last (GNOME_DIALOG (import_dialog)->buttons)->data;
  gtk_widget_set_name (import_cancel, "import_cancel");
  gtk_widget_ref (import_cancel);
  gtk_object_set_data_full (GTK_OBJECT (import_dialog), "import_cancel", import_cancel,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (import_cancel);
  GTK_WIDGET_SET_FLAGS (import_cancel, GTK_CAN_DEFAULT);

  /*    Funzioni di Callback
  */
  gtk_signal_connect (GTK_OBJECT (radio_gnome), "toggled",
                      GTK_SIGNAL_FUNC (on_radio_gnome_toggled),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (radio_kde), "toggled",
                      GTK_SIGNAL_FUNC (on_radio_kde_toggled),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (radio_rubrica), "toggled",
                      GTK_SIGNAL_FUNC (on_radio_rubrica_toggled),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (radio_csv), "toggled",
                      GTK_SIGNAL_FUNC (on_radio_csv_toggled),
                      NULL);

  gtk_signal_connect (GTK_OBJECT (import_ok), "clicked",
                      GTK_SIGNAL_FUNC (on_import_ok_clicked),
                      (gpointer) import_dialog);
  gtk_signal_connect (GTK_OBJECT (import_ok), "clicked",
                      GTK_SIGNAL_FUNC (on_import_cancel_clicked),
                      (gpointer) import_dialog);
  
  gtk_signal_connect (GTK_OBJECT (import_cancel), "clicked",
                      GTK_SIGNAL_FUNC (on_import_cancel_clicked),
                      (gpointer) import_dialog);

  gtk_signal_connect (GTK_OBJECT (import_cancel), "delete_event",
                      GTK_SIGNAL_FUNC (on_import_cancel_clicked),
                      (gpointer) import_dialog);
  
  rubrica_import_from_init();

  return import_dialog;
}

GtkWidget *rubrica_import_get_file_entry(void)
{
  return (GtkWidget*) fileentry;
}
