/*
*  program name: Rubrica <http://digilander.iol.it/nfragale/download.html>
*  file: prefer_cb.h
*  
*  Copyright (C) 2000-2001 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include <gnome.h>

void rubrica_preferences_changed(void);

/*  dialog buttons callbacks
*/
void rubrica_preferences_ok_clicked (GtkButton *button, gpointer  user_data);
void rubrica_preferences_apply_clicked (GtkButton  *button, gpointer user_data);
void rubrica_preferences_revert_clicked (GtkButton  *button, gpointer user_data);
void rubrica_preferences_close_dialog(GtkButton  *button, gpointer user_data);

/*  files/general/translation page callbacks
*/
void on_check_button_toggled(GtkToggleButton *togglebutton, gpointer user_data);
void on_check_files_toggled(GtkToggleButton *togglebutton, gpointer user_data);
void on_entry_files_changed(GtkEditable *editable,  gpointer user_data);

void on_check_compress_toggled(GtkToggleButton *togglebutton, gpointer user_data);
void on_spin_rate_activate (GtkWidget *spin, gpointer user_data);

void on_radio_order_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_radio_search_type_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_option_search_clicked(GtkToggleButton *togglebutton, gpointer user_data);

void on_radio_witch_dict_toggled(GtkToggleButton *togglebutton, gpointer user_data);
void on_radio_dictionary_toggled(GtkToggleButton *togglebutton, gpointer user_data);
void on_entry_user_lang_changed(GtkEditable *editable, gpointer user_data);

void on_dictionary_entry_changed(GtkEditable *editable, gpointer user_data);

void on_load_dictionary_clicked(GtkButton  *button, gpointer user_data);
void on_save_dictionary_clicked(GtkButton  *button, gpointer user_data);
void on_show_rules_clicked(GtkButton  *button, gpointer user_data);




